Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1321401

Summary: Missing dependency: findutils
Product: [Fedora] Fedora Reporter: Tatsuyuki Ishi <ishitatsuyuki>
Component: javapackages-toolsAssignee: Michal Srb <msrb>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: rawhideCC: java-sig-commits, mat.booth, mizdebsk, msimacek, msrb
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: javapackages-tools-4.6.0-8.fc23 javapackages-tools-4.6.0-14.fc24 javapackages-tools-4.3.2-7.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-04-02 19:53:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1321227    

Description Tatsuyuki Ishi 2016-03-26 09:21:32 UTC
Description of problem:
JPackage heavily relies on findutils, but it isn't depending on it.

Version-Release number of selected component (if applicable):
Possibly all

How reproducible:
Using the docker container, many java things will break if you didn't noticed this problem.

Steps to Reproduce:
1. Try docker for minimal package set
2. This time I was using zanata-client
3. It doesn't generate correct CLASSPATH and fail to start

Actual results:
Java applications failed to start complaining cannot load main class.

Expected results:
Application successfully starting.

Additional info:

Comment 1 Michal Srb 2016-03-31 14:45:30 UTC
Hi Tatsuyuki,

Thanks for the bug report and analysis of the problem. You're right, the package should require findutils.

Comment 2 Fedora Update System 2016-03-31 14:52:27 UTC
javapackages-tools-4.6.0-14.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dff6bf4d7d

Comment 3 Fedora Update System 2016-03-31 14:53:03 UTC
javapackages-tools-4.6.0-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2e49e6c66e

Comment 4 Fedora Update System 2016-03-31 14:53:46 UTC
javapackages-tools-4.3.2-7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b2d2c7eaf6

Comment 5 Fedora Update System 2016-04-01 01:56:08 UTC
javapackages-tools-4.3.2-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b2d2c7eaf6

Comment 6 Fedora Update System 2016-04-01 15:23:31 UTC
javapackages-tools-4.6.0-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2e49e6c66e

Comment 7 Fedora Update System 2016-04-01 20:54:42 UTC
javapackages-tools-4.6.0-14.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dff6bf4d7d

Comment 8 Fedora Update System 2016-04-02 19:53:48 UTC
javapackages-tools-4.6.0-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-04-04 17:24:04 UTC
javapackages-tools-4.6.0-14.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-04-26 21:21:31 UTC
javapackages-tools-4.3.2-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.